import JSBI from "jsbi";
import { set_precision } from "./constants";
import { BigFloat, NumericValue } from "./types";
export declare class Decimal implements BigFloat {
    exponent: number;
    coefficient: JSBI;
    setPrecision: typeof set_precision;
    constructor(n: NumericValue);
    decimalPlaces: () => number;
    dp: () => number;
    isInteger: () => boolean;
    isInt: () => boolean;
    isNegative: () => boolean;
    isNeg: () => boolean;
    isPositive: () => boolean;
    isPos: () => boolean;
    isZero: () => boolean;
    toString: () => string | undefined;
    equals: (y: NumericValue) => boolean;
    eq: (y: NumericValue) => boolean;
    greaterThan: (y: NumericValue) => boolean;
    gt: (y: NumericValue) => boolean;
    greaterThanOrEqualTo: (y: NumericValue) => boolean;
    gte: (y: NumericValue) => boolean;
    lessThan: (y: NumericValue) => boolean;
    lt: (y: NumericValue) => boolean;
    lessThanOrEqualTo: (y: NumericValue) => boolean;
    lte: (y: NumericValue) => boolean;
    absoluteValue: () => Decimal;
    abs: () => Decimal;
    negated: () => Decimal;
    neg: () => Decimal;
    squareRoot: () => Decimal;
    sqrt: () => Decimal;
    dividedBy: (y: NumericValue) => Decimal;
    div: (y: NumericValue) => Decimal;
    minus: (y: NumericValue) => Decimal;
    sub: (y: NumericValue) => Decimal;
    plus: (y: NumericValue) => Decimal;
    add: (y: NumericValue) => Decimal;
    times: (y: NumericValue) => Decimal;
    mul: (y: NumericValue) => Decimal;
    toPower: (y: NumericValue) => Decimal;
    pow: (y: NumericValue) => Decimal;
    ceil: () => Decimal;
    floor: () => Decimal;
}
